﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        public MainWindow()
        {
            Thread.CurrentThread.CurrentCulture = new System.Globalization.CultureInfo("de-DE");
            Thread.CurrentThread.CurrentUICulture = new System.Globalization.CultureInfo("de-DE");

            InitializeComponent();
            DataContext = this;

            Data = new ObservableCollection<Entry>();
            Data.Add(new Entry() { Date = DateTime.Parse("08:00:05") });
            Data.Add(new Entry() { Date = DateTime.Parse("10:47:14") });
            Data.Add(new Entry() { Date = DateTime.Parse("14:38:35") });
            Data.Add(new Entry() { Date = DateTime.Parse("18:12:29") });

            if (PropertyChanged != null)
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs("Data"));
        }

        public ObservableCollection<Entry> Data
        {
            get;
            set;
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }


    public class Entry
    {
        public DateTime Date
        {
            get;
            set;
        }
    }

    public class TimeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (value != null) ? ((DateTime)value).ToString(@"hh:mm:ss tt", new CultureInfo("en-US"))
                                    : Binding.DoNothing;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}


